|  | Home | Documentation | wsdd__ResolveMatchesType Struct Reference updated Fri Jan 5 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ResolveMatchesType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveMatchesType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ResolveMatchesType:
[legend]

## Public Attributes
struct wsdd__ResolveMatchType * | ResolveMatch
| Element "ResolveMatch" of XSD type "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveMatchType. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveMatchesType is a complexType.

struct wsdd__ResolveMatchesType operations:

- wsdd__ResolveMatchesType* soap_new_wsdd__ResolveMatchesType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ResolveMatchesType(struct soap*, wsdd__ResolveMatchesType*) default initialize members
- int soap_read_wsdd__ResolveMatchesType(struct soap*, wsdd__ResolveMatchesType*) deserialize from a source
- int soap_write_wsdd__ResolveMatchesType(struct soap*, wsdd__ResolveMatchesType*) serialize to a sink
- wsdd__ResolveMatchesType* soap_dup_wsdd__ResolveMatchesType(struct soap*, wsdd__ResolveMatchesType* dst, wsdd__ResolveMatchesType <em>src) returns deep copy of wsdd__ResolveMatchesType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ResolveMatchesType(wsdd__ResolveMatchesType) deep deletes wsdd__ResolveMatchesType data members, use only on dst after soap_dup_wsdd__ResolveMatchesType(NULL, wsdd__ResolveMatchesType *dst, wsdd__ResolveMatchesType *src) (use soapcpp2 -Ed)

## Member Data Documentation

struct wsdd__ResolveMatchType* wsdd__ResolveMatchesType::ResolveMatch

Element "ResolveMatch" of XSD type "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveMatchType.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h